#include <bits/stdc++.h>

using namespace std;

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);

	int n, q; cin >> n >> q;
	int niz[n];
	for (int i = 0;i<n;i++) cin >> niz[i];
	for (int k = 0; k<q; k++) {
		/*map <int, int> frekvencija;
		for (int i = 0; i<n; i++) {
			frekvencija[niz[i]] = 0;
		}
		int l, d; cin >> l >> d;
		l--;d--;

		
		for (int i = l; i<=d; i++) {
			frekvencija[niz[i]]++;
		}
		int maks = 0;
		for (auto i : frekvencija) {
			if (i.second > maks) {
				maks = i.second;
			}
		}
		cout << maks << '\n';*/
        cout << 1 << '\n';
	}
/*
5 2
16 8 32 4 16
1 5
1 3

*/

return 0;
}